# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bot/Backbone.pm) perl(Bot/Backbone/Service.pm) perl(Bot/Backbone/Service/Role/Responder.pm) perl(Bot/Backbone/Service/Role/Service.pm) perl(Bot/Backbone/Service/Role/Storage.pm) perl(ExtUtils/MakeMaker.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_version 0.142250
%define module_name Bot-Backbone-Service-Fact
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.142250
Release: alt1
Summary: Services for Bot::Backbone for recalling facts
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HA/HANENKAMP/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This is a collection of modules designed around the theme of remember
and reporting facts. These modules can be useful for letting your bot provide
useful information in the chat or for just adding a fun things for the bot to
do.

Here is a summary of the included services:

=over

=item *

the Bot::Backbone::Service::Fact::Keyword manpage. Once running, this service keeps a database of keywords that have a random chance of triggering a response. This may be useful for creating help triggers to help explain certain terminology, but only being as noisy as you want it to be. It can also be used to have the bot scream hysterically whenever it's name is mentioned.

=item *

the Bot::Backbone::Service::Fact::Predicate manpage. This tracks a set of facts in predicate nominative form (i.e., statements of equivalence, e.g., "The sky is blue."). Then, whenever a user asks about that predicate (e.g., "What is the sky?"), the bot can respond with the full statement of the fact.

=back
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/B*

%changelog
* Mon Jul 25 2016 Igor Vlasenko <viy@altlinux.ru> 0.142250-alt1
- initial import by package builder

